Summary: Halified CUPS utilities 
Name: hal-cups-utils
Version: 0.5.5
Release: 1.2.fc5.2
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Source1: hal_lpadmin.fdi 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: dbus-devel >= 0.60
BuildRequires: hal-devel >= 0.5.0
BuildRequires: dbus-devel >= 0.31
BuildRequires: cups-devel
BuildRequires: system-config-printer
Requires: hal >= 0.5.0
Requires: dbus >= 0.60
Requires: cups
Requires: system-config-printer

%description
Halified utilities for CUPS:
	- hal_lpadmin
	- hal CUPS backend
	- cups config daemon

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --enable-printconf 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

if [ -n "`echo %{_libdir} | grep lib64`" ] ; then
  mkdir -p $RPM_BUILD_ROOT/usr/lib/cups/backend
    cp -a $RPM_BUILD_ROOT/usr/lib64/cups/backend/* $RPM_BUILD_ROOT/usr/lib/cups/backend/

fi
    

install -p -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cups-config-daemon 

/sbin/service cups-config-daemon condrestart > /dev/null 2>&1

%preun
if [ $1 = 0 ]; then
    service cups-config-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del cups-config-daemon 
fi

%postun
if [ "$1" -ge "1" ]; then
  service cups-config-daemon condrestart > /dev/null 2>&1
fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/cups-config-daemon
%{_sbindir}/hal_lpadmin
/usr/lib/cups/backend/hal
%if "%_libdir" == "/usr/lib64"
%{_libdir}/cups/backend/hal
%endif
%{_datadir}/hal/fdi/policy/10osvendor/10-hal_lpadmin.fdi
%{_sysconfdir}/dbus-1/system.d/cups-config-daemon-dbus.conf
%{_sysconfdir}/rc.d/init.d/cups-config-daemon

%changelog
* Tue Apr  4 2006 Tim Waugh <twaugh@redhat.com> - 0.5.5-1.2.fc5.2
- hal backend lives in both /usr/lib and /usr/lib64 on 64bit architectures
  for FC5.

* Tue Mar 28 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5-1.2.fc5.1
- Move the hal backend to /usr/lib on 64bit arch's

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.5-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.5.5-1
- New version, which makes sure we build the daemon with PIE

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.5.4-2.1
- rebuilt

* Tue Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-2
- rebuild for new dbus

* Tue Nov 29 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-1
- New version that fixes a couple of crashes and makes sure we 
  HUP cupsd

* Fri Mar 18 2005 Warren Togami <wtogami@redhat.com. - 0.5.3-3
- minor spec tweaks

* Mon Mar 07 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.3-1
- Add a build reqiures and requires for dbus >= 0.31
- Rebuild with HAL 0.5.0 and D-BUS 0.31
- Add hal fdi file to match printers to the hal_lpadmin callout

* Fri Mar 04 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.3-1
- Integrate patches and make 0.5.3 release

* Fri Mar 04 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-11
- Added get_udi_from_env patch which gets the UDI of the printer
  from the UDI env variable set by hal if the UDI is not given on 
  the command line
- Made sure fdi file installs in correct place and executes hal_lpadmin
  correctly
- changed the check if printer code to check string lists now

* Tue Mar 1 2005 Ray Strode <rstrode@redhat.com> - 0.5.2-10.newdbusapi.1
- install fdi file instead of hal callout files

* Fri Feb 25 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-10
- Added hal api and dbus api patch
- Don't restart if not already running in post

* Tue Feb 22 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-9
- For some reason -8 was never built into rawhide.  Bumping the 
  release to 9 and rebuilding for smooth upgrade from fc3

* Fri Oct 22 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-8
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)
- (printer_update.hal, printer_remove.hal): Use $UDI instead of 
  $HAL_PROP_INFO_UDI which in some instances may not be populated

* Tue Oct 12 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-7
- Add MatchDriver DBUS method call patch so we can check if the printer has a driver

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-6
- Add Colin Walter's daemon patch
- Add BuildRequires for glib
- Add patch to take out gdk from configure.in
- Restart cups-config-daemon in the post

* Tue Oct 04 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch now calls killall -SIGHUP cupsd if pid file is wrong or does not exist.
  This is mainly for older cups versions which do not output a pid file.

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Fixed sighup to check for sbin instead of bin for cupsd pid check

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch to use sighup on cups instead of restarting it

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.2

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Chaned the hal callout srcipts to have a .hal extention 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Add build requirement on dbus-devel and system-config-printer 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.1

* Fri Aug 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.0

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com>
- Updated to 0.4.0

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Added the --enable-printconf flag to configure so that we autodetect drivers

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Upgrade to version 0.3.1
- Add update-printer.sh and remove-printer.sh HAL callouts 

* Wed Jul 28 2004 John (J5) Palmieri <johnp@redhat.com>
- Initial checkin to package repository

